SolrDocument::next
SolrDocument::offsetGet
SolrDocument
PHP Manual

# SolrDocument::offsetExists

(PECL solr >= 0.9.2)

SolrDocument::offsetExists — Checks if a particular field exists

### Description

public bool SolrDocument::offsetExists ( string `$fieldName` )

Checks if a particular field exists. This is used when the object is treated as an array.

### Parameters

`fieldName`

  The name of the field.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

SolrDocument::next
SolrDocument::offsetGet
SolrDocument
PHP Manual